//EncTest.java

import java.awt.*;
import java.io.*;



public class EncTest {

   private static Component awtComp = new Canvas();


   public static void main(String args[]) {
      try {
         test();
      }
      catch (Exception ex) {
         System.out.println(ex.getMessage());
         ex.printStackTrace();
      }

      System.exit(0);
   }


   public static void test() throws Exception {

      OutputStream os24 = null;
      OutputStream os8i = null;
      OutputStream os4i = null;
      OutputStream os1i = null;

      Image osrc = Toolkit.getDefaultToolkit().getImage("src.jpg");
      Image src  = osrc;

      //BMPEncoder
      BMPEncoder be = new BMPEncoder();

      for (int x=380; x < 390; x++) {
         System.out.println("x = " + String.valueOf(x));

         src = osrc.getScaledInstance(x, osrc.getHeight(awtComp), Image.SCALE_SMOOTH);

         os24 = new FileOutputStream(String.valueOf(x) + "-24.bmp");
         os8i = new FileOutputStream(String.valueOf(x) + "-08.bmp");
         os4i = new FileOutputStream(String.valueOf(x) + "-04.bmp");
         os1i = new FileOutputStream(String.valueOf(x) + "-01.bmp");

         be.encodeDat(os24, BMPData.rip24(src, awtComp));
         os24.close();

         be.encodeDat(os8i, BMPData.rip8i(src, awtComp));
         os8i.close();

         be.encodeDat(os4i, BMPData.rip4i(src, awtComp));
         os4i.close();

         be.encodeDat(os1i, BMPData.rip1i(src, awtComp));
         os1i.close();
      }
   }
}